import request from '@/utils/request'

export function add(data) {
  return request({
    url: '/bxg/api/yxSystemStore',
    method: 'post',
    data
  })
}

export function get() {
  console.log(123);
  return request({
    url: '/bxg/api/yxSystemStore',
    method: 'get'
  })
}

export function getAll() {
  return request({
    url: '/bxg/api/yxSystemStore/all',
    method: 'get'
  })
}

export function getL(data) {
  return request({
    url: '/bxg/api/yxSystemStore/getL',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: '/bxg/api/yxSystemStore/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: '/bxg/api/yxSystemStore',
    method: 'put',
    data
  })
}

export default { getL, add, edit, del, get, getAll }
